summaryrefslogtreecommitdiff
path: root/lbmk
diff options
context:
space:
mode:
Diffstat (limited to 'lbmk')
-rwxr-xr-xlbmk20
1 files changed, 13 insertions, 7 deletions
diff --git a/lbmk b/lbmk
index 68497799..66cc3b7c 100755
--- a/lbmk
+++ b/lbmk
@@ -40,8 +40,19 @@ main()
[ $# -lt 1 ] && err "Too few arguments. Try: ${0} help"
mode="${1}"
- if [ "$(id -u)" = "0" ] && [ "${mode}" != "dependencies" ]; then
- err "running lbmk as root is not permitted"
+ if [ "${mode}" = "dependencies" ]; then
+ if [ $# -lt 2 ]; then
+ printf "You must specify a distro, namely:\n" 1>&2
+ printf "Look at files under resources/dependencies/\n" \
+ 1>&2
+ printf "Example: ./build dependencies debian\n" 1>&2
+ err "target not specified"
+ fi
+ install_dependencies $@ || err "Could not install dependencies"
+ exit 0
+ fi
+ if [ "$(id -u)" = "0" ]; then
+ err "running this command as root is not permitted"
fi
buildpath="./script/${0##*/}"
@@ -51,11 +62,6 @@ main()
exit 0
[ $# -lt 2 ] && usage ${0} && exit 1
- if [ "${mode}" = "dependencies" ]; then
- install_dependencies $@ || err "Could not install dependencies"
- exit 0
- fi
-
./checkgit || err "Please read: https://libreboot.org/docs/build/"
option="${2}"